package ru.amster.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2021-02-08T20:05:39.132+03:00
 * Generated source version: 3.2.7
 */
@WebService(targetNamespace = "http://endpoint.tm.amster.ru/", name = "TaskEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface TaskEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByNameRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByNameResponse")
    @RequestWrapper(localName = "removeTaskByName", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskByName")
    @ResponseWrapper(localName = "removeTaskByNameResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Task removeTaskByName(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByNameRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByNameResponse")
    @RequestWrapper(localName = "findTaskByName", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskByName")
    @ResponseWrapper(localName = "findTaskByNameResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Task findTaskByName(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/createWithThreeParamTaskRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/createWithThreeParamTaskResponse")
    @RequestWrapper(localName = "createWithThreeParamTask", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithThreeParamTask")
    @ResponseWrapper(localName = "createWithThreeParamTaskResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithThreeParamTaskResponse")
    public void createWithThreeParamTask(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByIndexRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByIndexResponse")
    @RequestWrapper(localName = "removeTaskByIndex", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskByIndex")
    @ResponseWrapper(localName = "removeTaskByIndexResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskByIndexResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Task removeTaskByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    java.lang.Integer index
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/findAllTaskRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/findAllTaskResponse")
    @RequestWrapper(localName = "findAllTask", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindAllTask")
    @ResponseWrapper(localName = "findAllTaskResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindAllTaskResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.amster.tm.endpoint.Task> findAllTask(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByIdRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/removeTaskByIdResponse")
    @RequestWrapper(localName = "removeTaskById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskById")
    @ResponseWrapper(localName = "removeTaskByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveTaskByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Task removeTaskById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByIndexRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByIndexResponse")
    @RequestWrapper(localName = "findTaskByIndex", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskByIndex")
    @ResponseWrapper(localName = "findTaskByIndexResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskByIndexResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Task findTaskByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    java.lang.Integer index
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/numberOfAllTasksRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/numberOfAllTasksResponse")
    @RequestWrapper(localName = "numberOfAllTasks", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.NumberOfAllTasks")
    @ResponseWrapper(localName = "numberOfAllTasksResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.NumberOfAllTasksResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.lang.Integer numberOfAllTasks(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/updateTaskByIdRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/updateTaskByIdResponse")
    @RequestWrapper(localName = "updateTaskById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateTaskById")
    @ResponseWrapper(localName = "updateTaskByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateTaskByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Task updateTaskById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/updateTaskByIndexRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/updateTaskByIndexResponse")
    @RequestWrapper(localName = "updateTaskByIndex", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateTaskByIndex")
    @ResponseWrapper(localName = "updateTaskByIndexResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateTaskByIndexResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Task updateTaskByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    java.lang.Integer index,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByIdRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/findTaskByIdResponse")
    @RequestWrapper(localName = "findTaskById", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskById")
    @ResponseWrapper(localName = "findTaskByIdResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindTaskByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.Task findTaskById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/TaskEndpoint/createWithTwoParamTaskRequest", output = "http://endpoint.tm.amster.ru/TaskEndpoint/createWithTwoParamTaskResponse")
    @RequestWrapper(localName = "createWithTwoParamTask", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithTwoParamTask")
    @ResponseWrapper(localName = "createWithTwoParamTaskResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithTwoParamTaskResponse")
    public void createWithTwoParamTask(
            @WebParam(name = "session", targetNamespace = "")
                    ru.amster.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    );
}
